#!/bin/bash

function generate_links
{
  local index_file name file lineno

  index_file="$1"
  
  command='sed '
  { 
    while read file lineno name; do
      command="$command -e "\''s,\['"$name"'\],<A NAME="'"$name"'">,g'\'
      command="$command -e "\''s,&laquot;'"$name"'&raquot;,<A HREF="'"$file"\#"$name"'">'"$name"'</A>,g'\'
    done
  } < "$index_file"

  eval "$command"
}

generate_links "$@"
